forked from pool/mariadb
3d7bb0dc2f
- Update to 10.11.2: * release notes and changelog: https://mariadb.com/kb/en/changes-improvements-in-mariadb-1011/ https://mariadb.com/kb/en/mariadb-10-11-2-release-notes/ https://mariadb.com/kb/en/mariadb-10-11-2-changelog/ https://mariadb.com/kb/en/mariadb-10-11-1-release-notes/ https://mariadb.com/kb/en/mariadb-10-11-1-changelog/ https://mariadb.com/kb/en/mariadb-10-11-0-release-notes/ https://mariadb.com/kb/en/mariadb-10-11-0-changelog/ - Refresh mariadb-10.2.4-logrotate.patch OBS-URL: https://build.opensuse.org/request/show/1069133 OBS-URL: https://build.opensuse.org/package/show/server:database/mariadb?expand=0&rev=305
27 lines
881 B
Diff
27 lines
881 B
Diff
PATCH-P0-FIX-SUSE: Fix log file path for logrotate
|
|
|
|
In SUSE we've got MySQL log in different directory. It's located in
|
|
/var/log/mysql by default. It also adds some extra error message.
|
|
|
|
Maintainer: Michal Hrusecky <Michal.Hrusecky@opensuse.org>
|
|
|
|
Index: support-files/mariadb.logrotate.sh
|
|
===================================================================
|
|
--- support-files/mariadb.logrotate.sh.orig
|
|
+++ support-files/mariadb.logrotate.sh
|
|
@@ -32,6 +32,14 @@
|
|
then
|
|
@bindir@/mariadb-admin $EXTRAPARAM --local flush-error-log \
|
|
flush-engine-log flush-general-log flush-slow-log
|
|
+ ret=$?
|
|
+ if test $ret -ne 0
|
|
+ then
|
|
+ echo "/etc/logrotate.d/mariadb failed, probably because" >&2
|
|
+ echo "the root acount is protected by password." >&2
|
|
+ echo "See comments in /etc/logrotate.d/mariadb on how to fix this" >&2
|
|
+ exit $ret
|
|
+ fi
|
|
fi
|
|
endscript
|
|
}
|